Summary:	BPG image pixbuf-loader for Gtk+
Name:		bpg-pixbuf-loader
Version:	1.3
Release:	1%{?dist}
License:	GPLv2+
URL:		https://copr.fedorainfracloud.org/coprs/vr5/gtk-pixbuf-loaders/
Source0:	bpg-pixbuf-loader-1.3.tar.gz
Source1:        libbpg-0.9.8.tar.gz
Patch0:         makefile.patch
Patch1:         config.h.patch
Patch2:         bpg-config-yasm.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	gdk-pixbuf2 xdg-utils
BuildRequires:	gdk-pixbuf2-devel libpng-devel libjpeg-turbo-devel gcc-c++ cmake

%description 
BPG image pixbuf-loader plugin for Gtk+ provides load/save mechanics for BPG images

%prep
%setup -c -n %{name} -a 1

cd libbpg-0.9.8
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd libbpg-0.9.8
make libbpg.a bpgenc

cd ../bpg-pixbuf-loader
make

%install
install -D bpg-pixbuf-loader/libpixbufloader-bpg.so %{buildroot}%(pkg-config gdk-pixbuf-2.0 --variable=gdk_pixbuf_moduledir)/libpixbufloader-bpg.so
install -D bpg-pixbuf-loader/vr5-bpg.xml %{buildroot}/usr/share/%{name}-%{version}/vr5-bpg.xml

%post
gdk-pixbuf-query-loaders-%{__isa_bits} --update-cache
xdg-mime install /usr/share/%{name}-%{version}/vr5-bpg.xml

#%preun
#xdg-mime uninstall /usr/share/%{name}-%{version}/vr5-bpg.xml

%postun
gdk-pixbuf-query-loaders-%{__isa_bits} --update-cache

%files 
%defattr(0755,root,root)
%(pkg-config gdk-pixbuf-2.0 --variable=gdk_pixbuf_moduledir)/libpixbufloader-bpg.so
/usr/share/%{name}-%{version}/vr5-bpg.xml

%clean 
rm -rf %{buildroot}

%changelog 
*Sat Mar 23 2019 Vad Rulezz <vr5@yandex.ru> - 1.0
- Initial Package for bpg-pixbuf-loader
